/** vim: et:ts=4:sw=4:sts=4
 * @license RequireJS 2.3.6 Copyright jQuery Foundation and other contributors.
 * Released under MIT license, https://github.com/requirejs/requirejs/blob/master/LICENSE
 */

/*!
 * @overview es6-promise - a tiny implementation of Promises/A+.
 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
 * @license   Licensed under MIT license
 *            See https://raw.githubusercontent.com/stefanpenner/es6-promise/master/LICENSE
 * @version   v4.2.6+9869a4bc
 */

var requirejs,require,define;!function(global,setTimeout){function commentReplace(e,t){return t||""}function isFunction(e){return"[object Function]"===ostring.call(e)}function isArray(e){return"[object Array]"===ostring.call(e)}function each(e,t){if(e){var r;for(r=0;r<e.length&&(!e[r]||!t(e[r],r,e));r+=1);}}function eachReverse(e,t){if(e){var r;for(r=e.length-1;r>-1&&(!e[r]||!t(e[r],r,e));r-=1);}}function hasProp(e,t){return hasOwn.call(e,t)}function getOwn(e,t){return hasProp(e,t)&&e[t]}function eachProp(e,t){var r;for(r in e)if(hasProp(e,r)&&t(e[r],r))break}function mixin(e,t,r,n){return t&&eachProp(t,function(t,i){!r&&hasProp(e,i)||(!n||"object"!=typeof t||!t||isArray(t)||isFunction(t)||t instanceof RegExp?e[i]=t:(e[i]||(e[i]={}),mixin(e[i],t,r,n)))}),e}function bind(e,t){return function(){return t.apply(e,arguments)}}function scripts(){return document.getElementsByTagName("script")}function defaultOnError(e){throw e}function getGlobal(e){if(!e)return e;var t=global;return each(e.split("."),function(e){t=t[e]}),t}function makeError(e,t,r,n){var i=new Error(t+"\nhttps://requirejs.org/docs/errors.html#"+e);return i.requireType=e,i.requireModules=n,r&&(i.originalError=r),i}function newContext(e){function t(e){var t,r;for(t=0;t<e.length;t++)if("."===(r=e[t]))e.splice(t,1),t-=1;else if(".."===r){if(0===t||1===t&&".."===e[2]||".."===e[t-1])continue;t>0&&(e.splice(t-1,2),t-=2)}}function r(e,r,n){var i,o,s,a,u,c,f,d,l,p,h,m=r&&r.split("/"),g=_.map,v=g&&g["*"];if(e&&(e=e.split("/"),c=e.length-1,_.nodeIdCompat&&jsSuffixRegExp.test(e[c])&&(e[c]=e[c].replace(jsSuffixRegExp,"")),"."===e[0].charAt(0)&&m&&(h=m.slice(0,m.length-1),e=h.concat(e)),t(e),e=e.join("/")),n&&g&&(m||v)){o=e.split("/");e:for(s=o.length;s>0;s-=1){if(u=o.slice(0,s).join("/"),m)for(a=m.length;a>0;a-=1)if((i=getOwn(g,m.slice(0,a).join("/")))&&(i=getOwn(i,u))){f=i,d=s;break e}!l&&v&&getOwn(v,u)&&(l=getOwn(v,u),p=s)}!f&&l&&(f=l,d=p),f&&(o.splice(0,d,f),e=o.join("/"))}return getOwn(_.pkgs,e)||e}function n(e){isBrowser&&each(scripts(),function(t){if(t.getAttribute("data-requiremodule")===e&&t.getAttribute("data-requirecontext")===x.contextName)return t.parentNode.removeChild(t),!0})}function i(e){var t=getOwn(_.paths,e);if(t&&isArray(t)&&t.length>1)return t.shift(),x.require.undef(e),x.makeRequire(null,{skipMap:!0})([e]),!0}function o(e){var t,r=e?e.indexOf("!"):-1;return r>-1&&(t=e.substring(0,r),e=e.substring(r+1,e.length)),[t,e]}function s(e,t,n,i){var s,a,u,c,f=null,d=t?t.name:null,l=e,p=!0,h="";return e||(p=!1,e="_@r"+(P+=1)),c=o(e),f=c[0],e=c[1],f&&(f=r(f,d,i),a=getOwn(j,f)),e&&(f?h=n?e:a&&a.normalize?a.normalize(e,function(e){return r(e,d,i)}):-1===e.indexOf("!")?r(e,d,i):e:(h=r(e,d,i),c=o(h),f=c[0],h=c[1],n=!0,s=x.nameToUrl(h))),u=!f||a||n?"":"_unnormalized"+(T+=1),{prefix:f,name:h,parentMap:t,unnormalized:!!u,url:s,originalName:l,isDefine:p,id:(f?f+"!"+h:h)+u}}function a(e){var t=e.id,r=getOwn(E,t);return r||(r=E[t]=new x.Module(e)),r}function u(e,t,r){var n=e.id,i=getOwn(E,n);!hasProp(j,n)||i&&!i.defineEmitComplete?(i=a(e),i.error&&"error"===t?r(i.error):i.on(t,r)):"defined"===t&&r(j[n])}function c(e,t){var r=e.requireModules,n=!1;t?t(e):(each(r,function(t){var r=getOwn(E,t);r&&(r.error=e,r.events.error&&(n=!0,r.emit("error",e)))}),n||req.onError(e))}function f(){globalDefQueue.length&&(each(globalDefQueue,function(e){var t=e[0];"string"==typeof t&&(x.defQueueMap[t]=!0),k.push(e)}),globalDefQueue=[])}function d(e){delete E[e],delete S[e]}function l(e,t,r){var n=e.map.id;e.error?e.emit("error",e.error):(t[n]=!0,each(e.depMaps,function(n,i){var o=n.id,s=getOwn(E,o);!s||e.depMatched[i]||r[o]||(getOwn(t,o)?(e.defineDep(i,j[o]),e.check()):l(s,t,r))}),r[n]=!0)}function p(){var e,t,r=1e3*_.waitSeconds,o=r&&x.startTime+r<(new Date).getTime(),s=[],a=[],u=!1,f=!0;if(!b){if(b=!0,eachProp(S,function(e){var r=e.map,c=r.id;if(e.enabled&&(r.isDefine||a.push(e),!e.error))if(!e.inited&&o)i(c)?(t=!0,u=!0):(s.push(c),n(c));else if(!e.inited&&e.fetched&&r.isDefine&&(u=!0,!r.prefix))return f=!1}),o&&s.length)return e=makeError("timeout","Load timeout for modules: "+s,null,s),e.contextName=x.contextName,c(e);f&&each(a,function(e){l(e,{},{})}),o&&!t||!u||!isBrowser&&!isWebWorker||w||(w=setTimeout(function(){w=0,p()},50)),b=!1}}function h(e){hasProp(j,e[0])||a(s(e[0],null,!0)).init(e[1],e[2])}function m(e,t,r,n){e.detachEvent&&!isOpera?n&&e.detachEvent(n,t):e.removeEventListener(r,t,!1)}function g(e){var t=e.currentTarget||e.srcElement;return m(t,x.onScriptLoad,"load","onreadystatechange"),m(t,x.onScriptError,"error"),{node:t,id:t&&t.getAttribute("data-requiremodule")}}function v(){var e;for(f();k.length;){if(e=k.shift(),null===e[0])return c(makeError("mismatch","Mismatched anonymous define() module: "+e[e.length-1]));h(e)}x.defQueueMap={}}var b,y,x,q,w,_={waitSeconds:7,baseUrl:"./",paths:{},bundles:{},pkgs:{},shim:{},config:{}},E={},S={},M={},k=[],j={},O={},A={},P=1,T=1;return q={require:function(e){return e.require?e.require:e.require=x.makeRequire(e.map)},exports:function(e){if(e.usingExports=!0,e.map.isDefine)return e.exports?j[e.map.id]=e.exports:e.exports=j[e.map.id]={}},module:function(e){return e.module?e.module:e.module={id:e.map.id,uri:e.map.url,config:function(){return getOwn(_.config,e.map.id)||{}},exports:e.exports||(e.exports={})}}},y=function(e){this.events=getOwn(M,e.id)||{},this.map=e,this.shim=getOwn(_.shim,e.id),this.depExports=[],this.depMaps=[],this.depMatched=[],this.pluginMaps={},this.depCount=0},y.prototype={init:function(e,t,r,n){n=n||{},this.inited||(this.factory=t,r?this.on("error",r):this.events.error&&(r=bind(this,function(e){this.emit("error",e)})),this.depMaps=e&&e.slice(0),this.errback=r,this.inited=!0,this.ignore=n.ignore,n.enabled||this.enabled?this.enable():this.check())},defineDep:function(e,t){this.depMatched[e]||(this.depMatched[e]=!0,this.depCount-=1,this.depExports[e]=t)},fetch:function(){if(!this.fetched){this.fetched=!0,x.startTime=(new Date).getTime();var e=this.map;if(!this.shim)return e.prefix?this.callPlugin():this.load();x.makeRequire(this.map,{enableBuildCallback:!0})(this.shim.deps||[],bind(this,function(){return e.prefix?this.callPlugin():this.load()}))}},load:function(){var e=this.map.url;O[e]||(O[e]=!0,x.load(this.map.id,e))},check:function(){if(this.enabled&&!this.enabling){var e,t,r=this.map.id,n=this.depExports,i=this.exports,o=this.factory;if(this.inited){if(this.error)this.emit("error",this.error);else if(!this.defining){if(this.defining=!0,this.depCount<1&&!this.defined){if(isFunction(o)){if(this.events.error&&this.map.isDefine||req.onError!==defaultOnError)try{i=x.execCb(r,o,n,i)}catch(t){e=t}else i=x.execCb(r,o,n,i);if(this.map.isDefine&&void 0===i&&(t=this.module,t?i=t.exports:this.usingExports&&(i=this.exports)),e)return e.requireMap=this.map,e.requireModules=this.map.isDefine?[this.map.id]:null,e.requireType=this.map.isDefine?"define":"require",c(this.error=e)}else i=o;if(this.exports=i,this.map.isDefine&&!this.ignore&&(j[r]=i,req.onResourceLoad)){var s=[];each(this.depMaps,function(e){s.push(e.normalizedMap||e)}),req.onResourceLoad(x,this.map,s)}d(r),this.defined=!0}this.defining=!1,this.defined&&!this.defineEmitted&&(this.defineEmitted=!0,this.emit("defined",this.exports),this.defineEmitComplete=!0)}}else hasProp(x.defQueueMap,r)||this.fetch()}},callPlugin:function(){var e=this.map,t=e.id,n=s(e.prefix);this.depMaps.push(n),u(n,"defined",bind(this,function(n){var i,o,f,l=getOwn(A,this.map.id),p=this.map.name,h=this.map.parentMap?this.map.parentMap.name:null,m=x.makeRequire(e.parentMap,{enableBuildCallback:!0});return this.map.unnormalized?(n.normalize&&(p=n.normalize(p,function(e){return r(e,h,!0)})||""),o=s(e.prefix+"!"+p,this.map.parentMap,!0),u(o,"defined",bind(this,function(e){this.map.normalizedMap=o,this.init([],function(){return e},null,{enabled:!0,ignore:!0})})),void((f=getOwn(E,o.id))&&(this.depMaps.push(o),this.events.error&&f.on("error",bind(this,function(e){this.emit("error",e)})),f.enable()))):l?(this.map.url=x.nameToUrl(l),void this.load()):(i=bind(this,function(e){this.init([],function(){return e},null,{enabled:!0})}),i.error=bind(this,function(e){this.inited=!0,this.error=e,e.requireModules=[t],eachProp(E,function(e){0===e.map.id.indexOf(t+"_unnormalized")&&d(e.map.id)}),c(e)}),i.fromText=bind(this,function(r,n){var o=e.name,u=s(o),f=useInteractive;n&&(r=n),f&&(useInteractive=!1),a(u),hasProp(_.config,t)&&(_.config[o]=_.config[t]);try{req.exec(r)}catch(e){return c(makeError("fromtexteval","fromText eval for "+t+" failed: "+e,e,[t]))}f&&(useInteractive=!0),this.depMaps.push(u),x.completeLoad(o),m([o],i)}),void n.load(e.name,m,i,_))})),x.enable(n,this),this.pluginMaps[n.id]=n},enable:function(){S[this.map.id]=this,this.enabled=!0,this.enabling=!0,each(this.depMaps,bind(this,function(e,t){var r,n,i;if("string"==typeof e){if(e=s(e,this.map.isDefine?this.map:this.map.parentMap,!1,!this.skipMap),this.depMaps[t]=e,i=getOwn(q,e.id))return void(this.depExports[t]=i(this));this.depCount+=1,u(e,"defined",bind(this,function(e){this.undefed||(this.defineDep(t,e),this.check())})),this.errback?u(e,"error",bind(this,this.errback)):this.events.error&&u(e,"error",bind(this,function(e){this.emit("error",e)}))}r=e.id,n=E[r],hasProp(q,r)||!n||n.enabled||x.enable(e,this)})),eachProp(this.pluginMaps,bind(this,function(e){var t=getOwn(E,e.id);t&&!t.enabled&&x.enable(e,this)})),this.enabling=!1,this.check()},on:function(e,t){var r=this.events[e];r||(r=this.events[e]=[]),r.push(t)},emit:function(e,t){each(this.events[e],function(e){e(t)}),"error"===e&&delete this.events[e]}},x={config:_,contextName:e,registry:E,defined:j,urlFetched:O,defQueue:k,defQueueMap:{},Module:y,makeModuleMap:s,nextTick:req.nextTick,onError:c,configure:function(e){if(e.baseUrl&&"/"!==e.baseUrl.charAt(e.baseUrl.length-1)&&(e.baseUrl+="/"),"string"==typeof e.urlArgs){var t=e.urlArgs;e.urlArgs=function(e,r){return(-1===r.indexOf("?")?"?":"&")+t}}var r=_.shim,n={paths:!0,bundles:!0,config:!0,map:!0};eachProp(e,function(e,t){n[t]?(_[t]||(_[t]={}),mixin(_[t],e,!0,!0)):_[t]=e}),e.bundles&&eachProp(e.bundles,function(e,t){each(e,function(e){e!==t&&(A[e]=t)})}),e.shim&&(eachProp(e.shim,function(e,t){isArray(e)&&(e={deps:e}),!e.exports&&!e.init||e.exportsFn||(e.exportsFn=x.makeShimExports(e)),r[t]=e}),_.shim=r),e.packages&&each(e.packages,function(e){var t,r;e="string"==typeof e?{name:e}:e,r=e.name,t=e.location,t&&(_.paths[r]=e.location),_.pkgs[r]=e.name+"/"+(e.main||"main").replace(currDirRegExp,"").replace(jsSuffixRegExp,"")}),eachProp(E,function(e,t){e.inited||e.map.unnormalized||(e.map=s(t,null,!0))}),(e.deps||e.callback)&&x.require(e.deps||[],e.callback)},makeShimExports:function(e){function t(){var t;return e.init&&(t=e.init.apply(global,arguments)),t||e.exports&&getGlobal(e.exports)}return t},makeRequire:function(t,i){function o(r,n,u){var f,d,l;return i.enableBuildCallback&&n&&isFunction(n)&&(n.__requireJsBuild=!0),"string"==typeof r?isFunction(n)?c(makeError("requireargs","Invalid require call"),u):t&&hasProp(q,r)?q[r](E[t.id]):req.get?req.get(x,r,t,o):(d=s(r,t,!1,!0),f=d.id,hasProp(j,f)?j[f]:c(makeError("notloaded",'Module name "'+f+'" has not been loaded yet for context: '+e+(t?"":". Use require([])")))):(v(),x.nextTick(function(){v(),l=a(s(null,t)),l.skipMap=i.skipMap,l.init(r,n,u,{enabled:!0}),p()}),o)}return i=i||{},mixin(o,{isBrowser:isBrowser,toUrl:function(e){var n,i=e.lastIndexOf("."),o=e.split("/")[0],s="."===o||".."===o;return-1!==i&&(!s||i>1)&&(n=e.substring(i,e.length),e=e.substring(0,i)),x.nameToUrl(r(e,t&&t.id,!0),n,!0)},defined:function(e){return hasProp(j,s(e,t,!1,!0).id)},specified:function(e){return e=s(e,t,!1,!0).id,hasProp(j,e)||hasProp(E,e)}}),t||(o.undef=function(e){f();var r=s(e,t,!0),i=getOwn(E,e);i.undefed=!0,n(e),delete j[e],delete O[r.url],delete M[e],eachReverse(k,function(t,r){t[0]===e&&k.splice(r,1)}),delete x.defQueueMap[e],i&&(i.events.defined&&(M[e]=i.events),d(e))}),o},enable:function(e){getOwn(E,e.id)&&a(e).enable()},completeLoad:function(e){var t,r,n,o=getOwn(_.shim,e)||{},s=o.exports;for(f();k.length;){if(r=k.shift(),null===r[0]){if(r[0]=e,t)break;t=!0}else r[0]===e&&(t=!0);h(r)}if(x.defQueueMap={},n=getOwn(E,e),!t&&!hasProp(j,e)&&n&&!n.inited){if(!(!_.enforceDefine||s&&getGlobal(s)))return i(e)?void 0:c(makeError("nodefine","No define call for "+e,null,[e]));h([e,o.deps||[],o.exportsFn])}p()},nameToUrl:function(e,t,r){var n,i,o,s,a,u,c,f=getOwn(_.pkgs,e);if(f&&(e=f),c=getOwn(A,e))return x.nameToUrl(c,t,r);if(req.jsExtRegExp.test(e))a=e+(t||"");else{for(n=_.paths,i=e.split("/"),o=i.length;o>0;o-=1)if(s=i.slice(0,o).join("/"),u=getOwn(n,s)){isArray(u)&&(u=u[0]),i.splice(0,o,u);break}a=i.join("/"),a+=t||(/^data\:|^blob\:|\?/.test(a)||r?"":".js"),a=("/"===a.charAt(0)||a.match(/^[\w\+\.\-]+:/)?"":_.baseUrl)+a}return _.urlArgs&&!/^blob\:/.test(a)?a+_.urlArgs(e,a):a},load:function(e,t){req.load(x,e,t)},execCb:function(e,t,r,n){return t.apply(n,r)},onScriptLoad:function(e){if("load"===e.type||readyRegExp.test((e.currentTarget||e.srcElement).readyState)){interactiveScript=null;var t=g(e);x.completeLoad(t.id)}},onScriptError:function(e){var t=g(e);if(!i(t.id)){var r=[];return eachProp(E,function(e,n){0!==n.indexOf("_@r")&&each(e.depMaps,function(e){if(e.id===t.id)return r.push(n),!0})}),c(makeError("scripterror",'Script error for "'+t.id+(r.length?'", needed by: '+r.join(", "):'"'),e,[t.id]))}}},x.require=x.makeRequire(),x}function getInteractiveScript(){return interactiveScript&&"interactive"===interactiveScript.readyState?interactiveScript:(eachReverse(scripts(),function(e){if("interactive"===e.readyState)return interactiveScript=e}),interactiveScript)}var req,s,head,baseElement,dataMain,src,interactiveScript,currentlyAddingScript,mainScript,subPath,version="2.3.6",commentRegExp=/\/\*[\s\S]*?\*\/|([^:"'=]|^)\/\/.*$/gm,cjsRequireRegExp=/[^.]\s*require\s*\(\s*["']([^'"\s]+)["']\s*\)/g,jsSuffixRegExp=/\.js$/,currDirRegExp=/^\.\//,op=Object.prototype,ostring=op.toString,hasOwn=op.hasOwnProperty,isBrowser=!("undefined"==typeof window||"undefined"==typeof navigator||!window.document),isWebWorker=!isBrowser&&"undefined"!=typeof importScripts,readyRegExp=isBrowser&&"PLAYSTATION 3"===navigator.platform?/^complete$/:/^(complete|loaded)$/,defContextName="_",isOpera="undefined"!=typeof opera&&"[object Opera]"===opera.toString(),contexts={},cfg={},globalDefQueue=[],useInteractive=!1;if(void 0===define){if(void 0!==requirejs){if(isFunction(requirejs))return;cfg=requirejs,requirejs=void 0}void 0===require||isFunction(require)||(cfg=require,require=void 0),req=requirejs=function(e,t,r,n){var i,o,s=defContextName;return isArray(e)||"string"==typeof e||(o=e,isArray(t)?(e=t,t=r,r=n):e=[]),o&&o.context&&(s=o.context),i=getOwn(contexts,s),i||(i=contexts[s]=req.s.newContext(s)),o&&i.configure(o),i.require(e,t,r)},req.config=function(e){return req(e)},req.nextTick=void 0!==setTimeout?function(e){setTimeout(e,4)}:function(e){e()},require||(require=req),req.version=version,req.jsExtRegExp=/^\/|:|\?|\.js$/,req.isBrowser=isBrowser,s=req.s={contexts:contexts,newContext:newContext},req({}),each(["toUrl","undef","defined","specified"],function(e){req[e]=function(){var t=contexts[defContextName];return t.require[e].apply(t,arguments)}}),isBrowser&&(head=s.head=document.getElementsByTagName("head")[0],(baseElement=document.getElementsByTagName("base")[0])&&(head=s.head=baseElement.parentNode)),req.onError=defaultOnError,req.createNode=function(e,t,r){var n=e.xhtml?document.createElementNS("http://www.w3.org/1999/xhtml","html:script"):document.createElement("script");return n.type=e.scriptType||"text/javascript",n.charset="utf-8",n.async=!0,n},req.load=function(e,t,r){var n,i=e&&e.config||{};if(isBrowser)return n=req.createNode(i,t,r),n.setAttribute("data-requirecontext",e.contextName),n.setAttribute("data-requiremodule",t),!n.attachEvent||n.attachEvent.toString&&n.attachEvent.toString().indexOf("[native code")<0||isOpera?(n.addEventListener("load",e.onScriptLoad,!1),n.addEventListener("error",e.onScriptError,!1)):(useInteractive=!0,n.attachEvent("onreadystatechange",e.onScriptLoad)),n.src=r,i.onNodeCreated&&i.onNodeCreated(n,i,t,r),currentlyAddingScript=n,baseElement?head.insertBefore(n,baseElement):head.appendChild(n),currentlyAddingScript=null,n;if(isWebWorker)try{setTimeout(function(){},0),importScripts(r),e.completeLoad(t)}catch(n){e.onError(makeError("importscripts","importScripts failed for "+t+" at "+r,n,[t]))}},isBrowser&&!cfg.skipDataMain&&eachReverse(scripts(),function(e){if(head||(head=e.parentNode),dataMain=e.getAttribute("data-main"))return mainScript=dataMain,cfg.baseUrl||-1!==mainScript.indexOf("!")||(src=mainScript.split("/"),mainScript=src.pop(),subPath=src.length?src.join("/")+"/":"./",cfg.baseUrl=subPath),mainScript=mainScript.replace(jsSuffixRegExp,""),req.jsExtRegExp.test(mainScript)&&(mainScript=dataMain),cfg.deps=cfg.deps?cfg.deps.concat(mainScript):[mainScript],!0}),define=function(e,t,r){var n,i;"string"!=typeof e&&(r=t,t=e,e=null),isArray(t)||(r=t,t=null),!t&&isFunction(r)&&(t=[],r.length&&(r.toString().replace(commentRegExp,commentReplace).replace(cjsRequireRegExp,function(e,r){t.push(r)}),t=(1===r.length?["require"]:["require","exports","module"]).concat(t))),useInteractive&&(n=currentlyAddingScript||getInteractiveScript())&&(e||(e=n.getAttribute("data-requiremodule")),i=contexts[n.getAttribute("data-requirecontext")]),i?(i.defQueue.push([e,t,r]),i.defQueueMap[e]=!0):globalDefQueue.push([e,t,r])},define.amd={jQuery:!0},req.exec=function(text){return eval(text)},req(cfg)}}(this,"undefined"==typeof setTimeout?void 0:setTimeout),define("node_modules/requirejs/require",function(){});var require;require||(require={config:function(e){require=e}}),require.config({paths:{"amber/es6-promise":"node_modules/es6-promise/dist/es6-promise","require-css":"node_modules/require-css","jquery-ui":"node_modules/jquery-ui-dist/jquery-ui",codemirror:"node_modules/codemirror",jquery:"node_modules/jquery/dist/jquery",silk:"node_modules/@ambers/silk/src",profstef:"node_modules/@ambers/prof-stef/src",amber:"node_modules/@ambers/lang/base","amber/core":"node_modules/@ambers/lang/src","amber/web":"node_modules/@ambers/contrib-web/src","amber/legacy":"node_modules/@ambers/contrib-legacy/src","amber/legacy/resources":"node_modules/@ambers/contrib-legacy/resources",domite:"node_modules/@ambers/domite/src","amber/jquery":"node_modules/@ambers/contrib-jquery/src","amber/website":"src"},map:{"*":{css:"require-css/css",amber_core:"amber/core"}},shim:{"jquery-ui":{deps:["jquery"]},"codemirror/lib/codemirror":{deps:["css!codemirror/lib/codemirror"]}}}),define("config",function(){}),function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t():"function"==typeof define&&define.amd?define("amber/es6-promise",t):e.ES6Promise=t()}(this,function(){"use strict";function e(e){var t=typeof e;return null!==e&&("object"===t||"function"===t)}function t(e){return"function"==typeof e}function r(e){F=e}function n(e){L=e}function i(){return void 0!==U?function(){U(s)}:o()}function o(){var e=setTimeout;return function(){return e(s,1)}}function s(){for(var e=0;e<B;e+=2){(0,Y[e])(Y[e+1]),Y[e]=void 0,Y[e+1]=void 0}B=0}function a(e,t){var r=this,n=new this.constructor(c);void 0===n[J]&&k(n);var i=r._state;if(i){var o=arguments[i-1];L(function(){return E(i,n,o,r._result)})}else q(r,n,e,t);return n}function u(e){var t=this;if(e&&"object"==typeof e&&e.constructor===t)return e;var r=new t(c);return v(r,e),r}function c(){}function f(){return new TypeError("You cannot resolve a promise with itself")}function d(){return new TypeError("A promises callback cannot return that same promise.")}function l(e){try{return e.then}catch(e){return X.error=e,X}}function p(e,t,r,n){try{e.call(t,r,n)}catch(e){return e}}function h(e,t,r){L(function(e){var n=!1,i=p(r,t,function(r){n||(n=!0,t!==r?v(e,r):y(e,r))},function(t){n||(n=!0,x(e,t))},"Settle: "+(e._label||" unknown promise"));!n&&i&&(n=!0,x(e,i))},e)}function m(e,t){t._state===H?y(e,t._result):t._state===V?x(e,t._result):q(t,void 0,function(t){return v(e,t)},function(t){return x(e,t)})}function g(e,r,n){r.constructor===e.constructor&&n===a&&r.constructor.resolve===u?m(e,r):n===X?(x(e,X.error),X.error=null):void 0===n?y(e,r):t(n)?h(e,r,n):y(e,r)}function v(t,r){t===r?x(t,f()):e(r)?g(t,r,l(r)):y(t,r)}function b(e){e._onerror&&e._onerror(e._result),w(e)}function y(e,t){e._state===K&&(e._result=t,e._state=H,0!==e._subscribers.length&&L(w,e))}function x(e,t){e._state===K&&(e._state=V,e._result=t,L(b,e))}function q(e,t,r,n){var i=e._subscribers,o=i.length;e._onerror=null,i[o]=t,i[o+H]=r,i[o+V]=n,0===o&&e._state&&L(w,e)}function w(e){var t=e._subscribers,r=e._state;if(0!==t.length){for(var n=void 0,i=void 0,o=e._result,s=0;s<t.length;s+=3)n=t[s],i=t[s+r],n?E(r,n,i,o):i(o);e._subscribers.length=0}}function _(e,t){try{return e(t)}catch(e){return X.error=e,X}}function E(e,r,n,i){var o=t(n),s=void 0,a=void 0,u=void 0,c=void 0;if(o){if(s=_(n,i),s===X?(c=!0,a=s.error,s.error=null):u=!0,r===s)return void x(r,d())}else s=i,u=!0;r._state!==K||(o&&u?v(r,s):c?x(r,a):e===H?y(r,s):e===V&&x(r,s))}function S(e,t){try{t(function(t){v(e,t)},function(t){x(e,t)})}catch(t){x(e,t)}}function M(){return Z++}function k(e){e[J]=Z++,e._state=void 0,e._result=void 0,e._subscribers=[]}function j(){return new Error("Array Methods must be provided an Array")}function O(e){return new ee(this,e).promise}function A(e){var t=this;return new t(N(e)?function(r,n){for(var i=e.length,o=0;o<i;o++)t.resolve(e[o]).then(r,n)}:function(e,t){return t(new TypeError("You must pass an array to race."))})}function P(e){var t=this,r=new t(c);return x(r,e),r}function T(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}function R(){throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.")}function C(){var e=void 0;if("undefined"!=typeof global)e=global;else if("undefined"!=typeof self)e=self;else try{e=Function("return this")()}catch(e){throw new Error("polyfill failed because global object is unavailable in this environment")}var t=e.Promise;if(t){var r=null;try{r=Object.prototype.toString.call(t.resolve())}catch(e){}if("[object Promise]"===r&&!t.cast)return}e.Promise=te}var D=void 0;D=Array.isArray?Array.isArray:function(e){return"[object Array]"===Object.prototype.toString.call(e)};var N=D,B=0,U=void 0,F=void 0,L=function(e,t){Y[B]=e,Y[B+1]=t,2===(B+=2)&&(F?F(s):G())},Q="undefined"!=typeof window?window:void 0,I=Q||{},z=I.MutationObserver||I.WebKitMutationObserver,W="undefined"==typeof self&&"undefined"!=typeof process&&"[object process]"==={}.toString.call(process),$="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof importScripts&&"undefined"!=typeof MessageChannel,Y=new Array(1e3),G=void 0;G=W?function(){return function(){return process.nextTick(s)}}():z?function(){var e=0,t=new z(s),r=document.createTextNode("");return t.observe(r,{characterData:!0}),function(){r.data=e=++e%2}}():$?function(){var e=new MessageChannel;return e.port1.onmessage=s,function(){return e.port2.postMessage(0)}}():void 0===Q&&"function"==typeof require?function(){try{var e=Function("return this")().require("vertx");return U=e.runOnLoop||e.runOnContext,i()}catch(e){return o()}}():o();var J=Math.random().toString(36).substring(2),K=void 0,H=1,V=2,X={error:null},Z=0,ee=function(){function e(e,t){this._instanceConstructor=e,this.promise=new e(c),this.promise[J]||k(this.promise),N(t)?(this.length=t.length,this._remaining=t.length,this._result=new Array(this.length),0===this.length?y(this.promise,this._result):(this.length=this.length||0,this._enumerate(t),0===this._remaining&&y(this.promise,this._result))):x(this.promise,j())}return e.prototype._enumerate=function(e){for(var t=0;this._state===K&&t<e.length;t++)this._eachEntry(e[t],t)},e.prototype._eachEntry=function(e,t){var r=this._instanceConstructor,n=r.resolve;if(n===u){var i=l(e);if(i===a&&e._state!==K)this._settledAt(e._state,t,e._result);else if("function"!=typeof i)this._remaining--,this._result[t]=e;else if(r===te){var o=new r(c);g(o,e,i),this._willSettleAt(o,t)}else this._willSettleAt(new r(function(t){return t(e)}),t)}else this._willSettleAt(n(e),t)},e.prototype._settledAt=function(e,t,r){var n=this.promise;n._state===K&&(this._remaining--,e===V?x(n,r):this._result[t]=r),0===this._remaining&&y(n,this._result)},e.prototype._willSettleAt=function(e,t){var r=this;q(e,void 0,function(e){return r._settledAt(H,t,e)},function(e){return r._settledAt(V,t,e)})},e}(),te=function(){function e(t){this[J]=M(),this._result=this._state=void 0,this._subscribers=[],c!==t&&("function"!=typeof t&&T(),this instanceof e?S(this,t):R())}return e.prototype.catch=function(e){return this.then(null,e)},e.prototype.finally=function(e){var r=this,n=r.constructor;return t(e)?r.then(function(t){return n.resolve(e()).then(function(){return t})},function(t){return n.resolve(e()).then(function(){throw t})}):r.then(e,e)},e}();return te.prototype.then=a,te.all=O,te.race=A,te.resolve=u,te.reject=P,te._setScheduler=r,te._setAsap=n,te._asap=L,te.polyfill=C,te.Promise=te,te}),function(){define("app",["require","amber/es6-promise"],function(e,t){return t.polyfill(),new Promise(function(t,r){e(["__app__"],t,r)})})}(),define("__app__",["devel","amber/core/Platform-Browser"],function(e){return e});